Skip to main content
PUT
Set service upgrade window

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service.

Body

application/json
weekday
integer
required

Day of the week the upgrade window starts. 0 = Sunday, 1 = Monday, …, 6 = Saturday.

Required range: 0 <= x <= 6
Example:

3

startHourUtc
enum<integer>
required

UTC hour when the upgrade window starts. Must be one of 0, 6, 12, or 18. The upgrade window currently lasts 6 hours from this start time.

Available options:
0,
6,
12,
18
Example:

12

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on August 13, 2026